Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray2.tracing.modular
Class ComplementTracer

    java.lang.Object
      de.grogra.ray2.tracing.modular.ComplementTracer

    public class ComplementTracer

extends java.lang.Object

Author:
  Hagen Steidelmueller

Field Summary
`java.util.ArrayList<java.lang.Float>` | `resultGeometryFactors`
`java.util.ArrayList<Line>` | `resultRayList`
`java.util.ArrayList<Spectrum>` | `resultWeightList`

Constructor Summary
`ComplementTracer(Scene scene, java.util.Random random)`

Method Summary
`float` | `calculateGeometryfactor(Environment env, int indexEnv, Environment env_prev, int indexEnvPrev, Vector3f vec)`
`void` | `complement2Paths(PathValues firstPath, int firstIndex, PathValues secondPath, int secondIndex, boolean adjoint, CombinedPathValues resultPath)`
`void` | `traceComplement(PathValues startPath, int startIndex, PathValues complementPath, int complIndex, boolean adjoint, int direct)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resultGeometryFactors

    public java.util.ArrayList<java.lang.Float> resultGeometryFactors

### resultRayList

    public java.util.ArrayList<Line> resultRayList

### resultWeightList

    public java.util.ArrayList<Spectrum> resultWeightList

Constructor Detail

### ComplementTracer

    public ComplementTracer(Scene scene,
                            java.util.Random random)

Method Detail

### calculateGeometryfactor

    public float calculateGeometryfactor(Environment env,
                                         int indexEnv,
                                         Environment env_prev,
                                         int indexEnvPrev,
                                         Vector3f vec)

### complement2Paths

    public void complement2Paths(PathValues firstPath,
                                 int firstIndex,
                                 PathValues secondPath,
                                 int secondIndex,
                                 boolean adjoint,
                                 CombinedPathValues resultPath)

### traceComplement

    public void traceComplement(PathValues startPath,
                                int startIndex,
                                PathValues complementPath,
                                int complIndex,
                                boolean adjoint,
                                int direct)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD